<?php
/**
 * MyBB Gelimi Portal
 * Yapmc Bomfile - Dared
 * Srm V7
 * http://www.mybbdestek.com
 */
 /*anket armak iin hook gerekli*/
$plugins->add_hook("portal_start", "advportalv7");
$plugins->add_hook("index_start", "advportalv7_indexrun");
$plugins->add_hook("portal_start", "advportalv7_portalrun");

function advportalv7_info()
{
	global $lang;
	$lang->load("advportalv7");
    return array(
        "name"        => "<img border=\"0\" src=\"../images/Portal/mdportal.png\" align=\"absbottom\" /> $lang->advportalv7_baslik",
        "description"    => $lang->advportalv7_aciklama,
        "website"    => "http://www.mybbdestek.com",
        "author"    => "bomfile - dared",
        "authorsite"    => "http://www.mybbdestek.com",
        "version"    => "7",
        'guid'        => "a7a9a721ef7104196393945bec470f8a",
		"compatibility" => "14*",
    );
}
//yeni eklenen ksm ba
function advportalv7_install()
{//eklenti daha nceden kurulmu mu bakalm
    global $settings, $mybb, $db;
	global $lang;
	$lang->load("advportalv7");
if($db->field_exists("advportalv7", "settings"))
	{
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."settings DROP advportalv7");//varsa stunu silelim de sakatlk karmasn bamza 
	}
	//ayarlar grubu
    $settings_group = array(
        'gid'          => 'NULL',
        'name'         => 'portalayar',
        'title'        => $lang->advportalv7_ayarbaslik,
        'description'  => $lang->advportalv7_ayaraciklama,
        'disporder'    => '2',
        'isdefault'    => 'no'
    );
    $db->insert_query('settinggroups', $settings_group);
    $gid = $db->insert_id();

	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'renk',
        'title'        => $lang->advportalv7_renkbaslik,
        'description'  => $lang->advportalv7_renkaciklama,
        'optionscode'  => 'select
		0=Brown
1=Red
2=Dark Blue
3=Metallic
4=Pink
5=Yellow
6=Black
7=Turqouise
8=Orange
9=Green',
        'value'        => '7',
        'disporder'    => '1',
        'gid'          => intval( $gid )
    );
	$db->insert_query( 'settings', $setting );
	
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'tablo',
        'title'        => $lang->advportalv7_tablobaslik,
        'description'  => $lang->advportalv7_tabloaciklama,
        'optionscode'  => 'text',
        'value'        => '5',
        'disporder'    => '1',
        'gid'          => intval( $gid )
    );
	$db->insert_query( 'settings', $setting );
	
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'description',
        'title'        => $lang->advportalv7_descriptionbaslik,
        'description'  => $lang->advportalv7_descriptionaciklama,
        'optionscode'  => 'text',
        'value'        => '',
        'disporder'    => '2',
        'gid'          => intval( $gid )
    );
	$db->insert_query( 'settings', $setting );
	
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'keywords',
        'title'        => $lang->advportalv7_keywordsbaslik,
        'description'  => $lang->advportalv7_keywordsaciklama,
        'optionscode'  => 'text',
        'value'        => '',
        'disporder'    => '3',
        'gid'          => intval( $gid )
    );
	$db->insert_query( 'settings', $setting );
	
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'duyuru',
        'title'        => $lang->advportalv7_duyurubaslik,
        'description'  => $lang->advportalv7_duyuruaciklama,
        'optionscode'  => 'textarea',
        'value'        => '<center>
<strong>* </strong><b>Announcements 1<br>
</b><strong>* </strong><b>Announcements 2</b></center>',
        'disporder'    => '4',
        'gid'          => intval( $gid )
    );
	$db->insert_query( 'settings', $setting );
	
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'bosmenu',
        'title'        => $lang->advportalv7_bosmenubaslik,
        'description'  => $lang->advportalv7_bosmenuaciklama,
        'optionscode'  => 'textarea',
        'value'        => '<div class=\"kategoriler\">
<strong><a href=\"#\">Empty Menu</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"#\">Empty Menu</a></strong>
</div>',
        'disporder'    => '5',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );	
	
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'soltabloadi',
        'title'        => $lang->advportalv7_soltabloadibaslik,
        'description'  => $lang->advportalv7_soltabloadiaciklama,
        'optionscode'  => 'text',
        'value'        => 'Left Block',
        'disporder'    => '6',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );	
	
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'solblok',
        'title'        => $lang->advportalv7_solblokbaslik,
        'description'  => $lang->advportalv7_solblokaciklama,
        'optionscode'  => 'textarea',
        'value'        => 'Left Block Content',
        'disporder'    => '7',
        'gid'          => intval( $gid )
    );
	 $db->insert_query( 'settings', $setting );
	 
	     $setting = array(
        'sid'          => 'NULL',
        'name'         => 'ortatabloadi',
        'title'        => $lang->advportalv7_ortatabloadibaslik,
        'description'  => $lang->advportalv7_ortatabloadiaciklama,
        'optionscode'  => 'text',
        'value'        => 'Picture Gallery',
        'disporder'    => '8',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );	
	 
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'ortablok',
        'title'        => $lang->advportalv7_ortablokbaslik,
        'description'  => $lang->advportalv7_ortablokaciklama,
        'optionscode'  => 'textarea',
        'value'        => '<table width="100%" border="0" cellpadding="6" cellspacing="1">
<tr>
<td class="alt1" align="center">
<div class="prokuturesim" style="padding: 5px 0px 0px;" align="center">
<a href="images/Portal/galleri/resim1.jpg" rel="lightbox[sushi]"><img src="images/Portal/galleri/resim1.jpg" width="70" height="70" /></a></div></td>
<td class="alt1" align="center">
<div class="prokuturesim" style="padding: 5px 0px 0px;" align="center">
<a href="images/Portal/galleri/resim2.jpg" rel="lightbox[sushi]"><img src="images/Portal/galleri/resim2.jpg" width="70" height="70" /></a></div></td>
<td class="alt1" align="center">
<div class="prokuturesim" style="padding: 5px 0px 0px;" align="center">
<a href="images/Portal/galleri/resim3.jpg" rel="lightbox[sushi]"><img src="images/Portal/galleri/resim3.jpg" width="70" height="70" /></a></div></td>
<td class="alt1" align="center">
<div class="prokuturesim" style="padding: 5px 0px 0px;" align="center">
<a href="images/Portal/galleri/resim4.jpg" rel="lightbox[sushi]"><img src="images/Portal/galleri/resim4.jpg" width="70" height="70" /></a></div></td>
</tr>
</table>',
        'disporder'    => '9',
        'gid'          => intval( $gid )
    );
	 $db->insert_query( 'settings', $setting );
	 
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'sagtabloadi',
        'title'        => $lang->advportalv7_sagtabloadibaslik,
        'description'  => $lang->advportalv7_sagtabloadiaciklama,
        'optionscode'  => 'text',
        'value'        => 'Right Block',
        'disporder'    => '10',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );	
	
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'sagblok',
        'title'        => $lang->advportalv7_sagblokbaslik,
        'description'  => $lang->advportalv7_sagblokaciklama,
        'optionscode'  => 'textarea',
        'value'        => 'Right Block Content',
        'disporder'    => '11',
        'gid'          => intval( $gid )
    );
	
    $db->insert_query( 'settings', $setting );	
	
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'destekblok',
        'title'        => $lang->advportalv7_destekbaslik,
        'description'  => $lang->advportalv7_destekaciklama,
        'optionscode'  => 'textarea',
        'value'        => '<a title="'.$db->escape_string($mybb->settings['bbname']).'" target="_blank" href="'.$db->escape_string($mybb->settings['bburl']).'">'.$db->escape_string($mybb->settings['bbname']).'</a>',
        'disporder'    => '12',
        'gid'          => intval( $gid )
    );
	
    $db->insert_query( 'settings', $setting );	
		
	$setting = array(
        'sid'          => 'NULL',
        'name'         => 'toplist',
        'title'        => $lang->advportalv7_toplistbaslik,
        'description'  => $lang->advportalv7_toplistaciklama,
        'optionscode'  => 'textarea',
        'value'        => '<center>
<marquee direction="left" scrollamount="2" scrolldelay="20" onmouseover="this.stop()" onmouseout="this.start()"><b><font size="2"><a href="http://www.mybbdestek.com/" target="_new"><span style="text-decoration: none;"><img src="http://toplist.mybbdestek.com/images/1.png"></span></a></font></b></marquee>
</center>
',		
        'disporder'    => '13',
        'gid'          => intval( $gid )
    );
	
    $db->insert_query( 'settings', $setting );	
	
	
	// anket ayar
    $advportalv7_14 = array(
		"sid"			=> "NULL",
		"name"			=> "gosterilcek_anket",
		"title"			=> $lang->advportalv7_anketbaslik,
		"description"	=> $lang->advportalv7_anketaciklama,
		"optionscode"	=> "text",
		"value"			=> "",
		"disporder"		=> "14",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $advportalv7_14);




// anket ayar 2
	$advportalv7_15 = array(
		"sid" => "NULL",
		"name" => "portalda_anket",
		"title" => $lang->advportalv7_anket2baslik,
		"description" => $lang->advportalv7_anket2aciklama,
		"optionscode" => "yesno",
        "value" => "1",
		"disporder" => "15",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $advportalv7_15);
	
		
	// ynlendirme ayar 1
	$advportalv7_16 = array(
		"sid" => "NULL",
		"name" => "advportalv7_url",
		"title" => $lang->advportalv7_urlbaslik,
		"description" => $lang->advportalv7_urlaciklama,
		"optionscode" => "text",
        "value" => "portal.php",
		"disporder" => "16",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $advportalv7_16);
	
	
		// ynlendirme ayar 2

	$advportalv7_17 = array(
		"sid" => "NULL",
		"name" => "advportalv7_gecensure",
		"title" => $lang->advportalv7_surebaslik,
		"description" => $lang->advportalv7_sureaciklama,
		"optionscode" => "text",
        "value" => "1200",
		"disporder" => "17",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $advportalv7_17);
	
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."settings ADD advportalv7 int NOT NULL default 0");

	rebuild_settings();
	
}

function advportalv7_is_installed()
{
	global $db;
	
	if($db->field_exists("advportalv7", "settings"))
	{
		return true;
	}
	
	return false;
}

//yeni eklenen ksm son


function advportalv7_activate()
{
	global $db, $viewing, $cache;
	include MYBB_ROOT."/inc/adminfunctions_templates.php";
	/*anketi portal da ablona koyalm
    find_replace_templatesets("portal", '#{\$announcements}#', "{\$pollbox}\n{\$announcements}");
	byle koyamadm lan :D
	*/
	$portal = array(
		"template"			=> "<html>
<head><title>{\$mybb->settings[\'bbname\']} - Portal Page</title>
<meta name=\"description\" content=\"{\$mybb->settings[\'description\']}\" />
<meta name=\"keywords\" content=\"{\$mybb->settings[\'keywords\']}\" />  
{\$headerinclude}
<script type=\"text/javascript\" src=\"images/Portal/styleswitch.js\"></script>
<script type=\"text/javascript\" src=\"images/Portal/prototype.js\"></script>
<script type=\"text/javascript\" src=\"images/Portal/scriptaculous.js?load=effects\"></script>
<script type=\"text/javascript\" src=\"images/Portal/lightbox.js\"></script>
<link rel=\"stylesheet\" href=\"images/Portal/lightbox.css\" type=\"text/css\" media=\"screen\" />
<link rel=\"stylesheet\" type=\"text/css\" href=\"images/Portal/portal.css\" />
<link rel=\"stylesheet\" type=\"text/css\" href=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}.css\" title=\"{\$mybb->settings[\'renk\']}\" media=\"screen\" />
</head>
<body>
{\$header}
<table width=\"100%\" cellspacing=\"0\" cellpadding=\"{\$theme[\'tablespace\']}\" border=\"0\" align=\"center\">
<tr>
<td valign=\"top\" width=\"200\">
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Quick Language Selection</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
<select name=\"translate\" style=\"height:20px; font-size:11px;\" onchange=\"javascript:window.location = \'http://www.google.com/translate_c?hl=tr&langpair=tr%7C\' + this.value + \'&u=\' + window.location.href;\">
<option value=\"\">Language Selection</option>
<option value=\"ar\">Arabic</option>
<option value=\"bg\">Bulgarian</option>
<option value=\"zh-CN\">Chinese Simplified</option>
<option value=\"zh-TW\">Chinese Traditional</option>
<option value=\"hr\">Croatian</option>
<option value=\"cs\">Czech</option>
<option value=\"da\">Danish</option>
<option value=\"nl\">Dutch</option>
<option value=\"en\">English</option>
<option value=\"fi\">Finnish</option>
<option value=\"ph\">Filipino</option>
<option value=\"fr\">French</option>
<option value=\"de\">German</option>
<option value=\"il\">Hebrew</option>
<option value=\"el\">Greek</option>
<option value=\"it\">Italian</option>
<option value=\"id\">Indonesian</option>
<option value=\"lv\">Latvian</option>
<option value=\"lt\">Lithuanian</option>
<option value=\"hi\">Hindi</option>
<option value=\"ja\">Japanese</option>
<option value=\"ko\">Korean</option>
<option value=\"no\">Norwegian</option>
<option value=\"pl\">Polish</option>
<option value=\"pt\">Portuguese</option>
<option value=\"ro\">Romanian</option>
<option value=\"ru\">Russian</option>
<option value=\"es\">Spanish</option>
<option value=\"sv\">Swedish</option>
<option value=\"rs\">Serbian</option>
<option value=\"sk\">Slovak</option>
<option value=\"si\">Slovenian</option>
<option value=\"ua\">Ukrainian</option>
<option value=\"vn\">Vietnamese</option>
<option value=\"tr\">Turkish</option>
</select>
</td>
</tr>
</table>
<div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br>
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Menu</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"left\">
<div class=\"kategoriler\">
<strong><a href=\"portal.php\">Portal</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"index.php\">Forum</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"calendar.php\">Calendar</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"search.php\">Search</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"memberlist.php\">Members List</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"misc.php?action=help\">Help</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"syndication.php?limit=10\">RSS</a></strong>
</div><div class=\"kategoriler\">
<strong><a href=\"archive/index.php\">Archive</a></strong></div>
{\$mybb->settings[\'bosmenu\']}
</td>
</tr>
</table>
<div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br>{\$stats}{\$search}
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Framework</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
<textarea type=\"text\" tabindex=\"1\" rows=\"10\" cols=\"20\" wrap=\"soft\" class=\"inputbox autowidth\" style=\"border: 1px solid rgb(153, 153, 153); padding: 5px; overflow: hidden; height: 140px; font-size: 10px; min-height: 1em; -moz-border-radius-topleft: 5px; -moz-border-radius-topright: 5px; -moz-border-radius-bottomright: 5px; -moz-border-radius-bottomleft: 5px;\" onclick=\"this.focus();this.select();\">{\$mybb->settings[\'destekblok\']}</textarea>
</td>
</tr>
</table>
<div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br>
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Alexa</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
<script type=\"text/javascript\" language=\"JavaScript\" src=\"http://xslt.alexa.com/site_stats/js/t/a?url={\$mybb->settings[\'homeurl\']}\"></script>
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br />
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$mybb->settings[\'soltabloadi\']}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
{\$mybb->settings[\'solblok\']}
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br /></td>
<td valign=\"top\" width=\"{\$mybb->settings[\'tablo\']}\"></td>
<td valign=\"top\">
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Announcements</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
<div class=\"float_left\"><img src=\"images/Portal/duyuru.png\"></div>
{\$mybb->settings[\'duyuru\']}
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br>{\$pollbox}{\$announcements}<div class=\"float_right\">{\$multipage}</div><br>{\$latestthreads}
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$mybb->settings[\'ortatabloadi\']}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
{\$mybb->settings[\'ortablok\']}
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br>{\$overview}</td>
<td valign=\"top\" width=\"{\$mybb->settings[\'tablo\']}\"></td>
<td valign=\"top\" width=\"200\">
{\$welcome}
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Date & Time</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
<iframe name=\"22\" src=\"images/Portal/takvim.swf\" width=\"150\" frameborder=\"0\" height=\"150\"></iframe>
<br>
<div id=\"clock\">Loading...</div> 
<script type=\"text/javascript\"> 
function refrClock() 
{ 
var d=new Date(); 
var s=d.getSeconds(); 
var m=d.getMinutes(); 
var h=d.getHours(); 
var day=d.getDay(); 
var date=d.getDate(); 
var month=d.getMonth(); 
var year=d.getFullYear(); 
var days=new Array(\"Sunday\",\"Monday\",\"Tuesday\",\"Wednesday\",\"Thursday\",\"Friday\",\"Saturday\"); 
var months=new Array(\"January\",\"February\",\"March\",\"April\",\"May\",\"June \",\"July\",\"August\",\"September\",\"October\",\"November\",\"December \"); 
var am_pm; 
if (s<10) {s=\"0\" + s} 
if (m<10) {m=\"0\" + m} 
if (h<10) {h=\"0\" + h} 
if (h>12) {h-=12;am_pm = \"PM\"} 
else {am_pm = \"AM\"} 
document.getElementById(\"clock\").innerHTML=days[day] + \"   \" + date + \" \" + months[month] + \"  \" + year + \"  \" + h + \":\" + m + \":\" + s + \" \" + am_pm; 
setTimeout(\"refrClock()\",1000); 
} 
refrClock(); 
</script>
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br>
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Bookmarks</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
<a title=\"Landing Page do\" style onclick=\"this.style.behavior=\'url(#default#homepage)\';this.setHomePage(\'{\$mybb->settings[\'homeurl\']}\');\">
<img alt=\"Landing Page do\" src=\"images/Portal/images/anasayfam.gif\" border=\"0\"></a>
<a title=\"Add to Favorites\" href=\"javascript:window.external.AddFavorite(\'{\$mybb->settings[\'homeurl\']}\',\'{\$mybb->settings[\'homename\']}\')\">
<img alt=\"Add to Favorites\" src=\"images/Portal/images/skullan.gif\" border=\"0\"></a> <a title=\"Contact\" target=\"_blank\" href=\"{\$mybb->settings[\'contactlink\']}\"><img alt=\"Contact\" src=\"images/Portal/images/ileti.gif\" border=\"0\"></a> 
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br>{\$latestposts}{\$pms}{\$whosonline}
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>Toplist</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
{\$mybb->settings[\'toplist\']}
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br>
<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$mybb->settings[\'sagtabloadi\']}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table class=\"tborder\" border=\"0\" cellpadding=\"6\" cellspacing=\"1\">
<tr>
<td class=\"trow1\" align=\"center\">
{\$mybb->settings[\'sagblok\']}
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br /></td>
</tr>
</table>
<center><a href=\"http://www.mybbdestek.com/\">MyBB Portal</a></center>
{\$footer}
</body>
</html>",
	);
	$portal_announcement = array(
		"template"			=> "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$icon} <a href=\"{\$mybb->settings[\'bburl\']}/{\$announcement[\'threadlink\']}\">{\$announcement[\'subject\']}</a></strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
		<table cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow2\" align=\"right\">
<span class=\"smalltext\">{\$lang->posted_by} {\$profilelink}  - {\$anndate} {\$anntime}</span>
</td>
</tr>
<tr>
<td class=\"trow1\">
<table border=\"0\" cellpadding=\"{\$theme[\'tablespace\']}\" width=\"100%\">
	<tr>
		<td class=\"trow1\">
			<p>
				{\$message}
			</p>
			{\$post[\'attachments\']}
		</td>
	</tr>
	<tr>
			<td align=\"left\" colspan=\"2\" valign=\"bottom\">
	<div class=\"float_left\">
		<img src=\"images/Portal/git.gif\"> <a href=\"{\$mybb->settings[\'bburl\']}/{\$announcement[\'threadlink\']}\">Read More</a> {\$numcomments}	</div>
	<div class=\"float_right\">
<a rel=\"nofollow\" target=\"_blank\" href=\"http://www.google.com/bookmarks/mark?op=edit&amp;output=popup&amp;bkmk={\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\"><img alt=\"Submit Google\" src=\"images/Portal/images/google.png\" title=\"Submit Google\"></a>   <a rel=\"nofollow\" target=\"_blank\" href=\"http://www.facebook.com/share.php?u=%url%={\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\"><img alt=\"Submit Face book\" src=\"images/Portal/images/facebook.gif\" title=\"Submit Facebook\"></a>   <a rel=\"nofollow\" target=\"_blank\" href=\"http://digg.com/submit?phase=2&amp;url={\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\"><img alt=\"Submit to Digg\" src=\"images/Portal/images/digg.png\" title=\"Submit to Digg\"></a>   <a rel=\"nofollow\" target=\"_blank\" href=\"http://reddit.com/submit?url={\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\"><img alt=\"Submit to Reddit\" src=\"images/Portal/images/reddit.gif\" title=\"Submit to Reddit\"></a>   <a rel=\"nofollow\" target=\"_blank\" href=\"http://www.furl.net/storeIt.jsp?u={\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\"><img alt=\"Submit to Furl\" src=\"images/Portal/images/furl.gif\" title=\"Submit to Furl\"></a>   <a rel=\"nofollow\" target=\"_blank\" href=\"http://del.icio.us/post?url={\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\"><img alt=\"Submit to Del.icio.us\" src=\"images/Portal/images/delicious.png\" title=\"Submit to Del.icio.us\"></a>   <a rel=\"nofollow\" target=\"_blank\" href=\"http://jeqq.com/submit.php?phase=2&amp;url={\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\"><img alt=\"Submit to Jeqq\" src=\"images/Portal/images/jeqq.gif\" title=\"Submit to Jeqq\"></a>
			<span class=\"smalltext\">
				<a href=\"{\$mybb->settings[\'bburl\']}/printthread.php?tid={\$announcement[\'tid\']}\"><img src=\"{\$mybb->settings[\'bburl\']}/{\$theme[\'imgdir\']}/printable.gif\" alt=\"{\$lang->print_this_item}\" title=\"{\$lang->print_this_item}\" /></a>&nbsp;<a href=\"{\$mybb->settings[\'bburl\']}/sendthread.php?tid={\$announcement[\'tid\']}\"><img src=\"{\$mybb->settings[\'bburl\']}/{\$theme[\'imgdir\']}/send.gif\" alt=\"{\$lang->send_to_friend}\" title=\"{\$lang->send_to_friend}\" /></a>
			</span>
	</div>
		</td>
	</tr>
</table>
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br />",
	);
	$portal_latestthreads = array(
		"template"			=> "
		<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$lang->latest_threads}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
		<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tbody style=\"{\$expdisplay}\" id=\"cat_{\$forum[\'fid\']}_e\">
<tr>
<td class=\"tcat\" width=\"85\" align=\"center\" style=\"white-space: nowrap\"><span class=\"smalltext\"><strong>Thread/Author/Date</strong></span></td>
<td class=\"tcat\" width=\"85\" align=\"center\" style=\"white-space: nowrap\"><span class=\"smalltext\"><strong>Last Post</strong></span></td>
<td class=\"tcat\" width=\"85\" align=\"center\" style=\"white-space: nowrap\"><span class=\"smalltext\"><strong>Replies</strong></span></td>
<td class=\"tcat\" width=\"200\" align=\"center\"><span class=\"smalltext\"><strong>Views</strong></span></td>
</tr>
{\$threadlist}
</tbody>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br />",
	);
	$portal_latestthreads_thread = array(
		"template"			=> "<tr>
<td class=\"trow1\" valign=\"top\">
<strong><a href=\"{\$mybb->settings[\'bburl\']}/{\$thread[\'threadlink\']}\">{\$thread[\'subject\']}</a></strong><br>
{\$lastposterlink}<br>
{\$lastpostdate} {\$lastposttime}</div>
</td>
<td class=\"trow2\" valign=\"top\" align=\"center\" style=\"white-space: nowrap\">{\$lastpostdate} {\$lastposttime}<br>Author: {\$lastposterlink}</td>
<td class=\"trow1\" valign=\"top\" align=\"center\" style=\"white-space: nowrap\">{\$thread[\'replies\']}</td>
<td class=\"trow2\" valign=\"top\" align=\"center\" style=\"white-space: nowrap\">{\$thread[\'views\']}</td>
</tr>",
	);
	$portal_whosonline_memberbit = array(
		"template"			=> "<img src=\"images/Portal/user.png\"> <a href=\"{\$mybb->settings[\'bburl\']}/{\$user[\'profilelink\']}\">{\$user[\'username\']}</a>{\$invisiblemark}<br>",
	);
	$portal_stats = array(
		"template"			=> "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$lang->forum_stats}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
		<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\">
<span class=\"smalltext\">
<img src=\"images/Portal/nokta.png\"> {\$lang->num_members} {\$stats[\'numusers\']}<br />
<img src=\"images/Portal/nokta.png\"> {\$lang->latest_member} {\$newestmember}<br />
<img src=\"images/Portal/nokta.png\"> {\$lang->num_threads} {\$stats[\'numthreads\']}<br />
<img src=\"images/Portal/nokta.png\"> {\$lang->num_posts} {\$stats[\'numposts\']}
<br /><img src=\"images/Portal/stats.png\"> <a href=\"{\$mybb->settings[\'bburl\']}/stats.php\">{\$lang->full_stats}</a>
</span>
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br />",
	);
	$portal_welcome_membertext = array(
		"template"			=> "<center><img src=\"{\$mybb->user[\'avatar\']}\" alt=\"{\$mybb->user[\'username\']}\" width=\"85\" height=\"85\"/></center><br />
<span class=\"smalltext\"><em>{\$lang->member_welcome_lastvisit}</em> {\$lastvisit}<br />
{\$lang->since_then}<br />
<img src=\"images/Portal/nokta.png\"> {\$lang->new_announcements}<br />
<img src=\"images/Portal/nokta.png\"> {\$lang->new_threads}<br />
<img src=\"images/Portal/nokta.png\"> {\$lang->new_posts}<br /><br />
<img src=\"images/Portal/ok.png\"> <a href=\"{\$mybb->settings[\'bburl\']}/search.php?action=getnew\">{\$lang->view_new}</a><br /><img src=\"images/Portal/ok.png\"> <a href=\"{\$mybb->settings[\'bburl\']}/search.php?action=getdaily\">{\$lang->view_todays}</a>
</span>",
	);	
	$portal_pms = array(
		"template"			=> "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong><a href=\"{\$mybb->settings[\'bburl\']}/private.php\">{\$lang->private_messages}</a></strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\">
<span class=\"smalltext\">{\$lang->pms_received_new}<br /><br />
<img src=\"images/Portal/nokta.png\"> <strong>{\$messages[\'pms_unread\']}</strong> {\$lang->pms_unread}<br />
<img src=\"images/Portal/nokta.png\"> <strong>{\$messages[\'pms_total\']}</strong> {\$lang->pms_total}</span>
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br />",
	);
	$portal_whosonline = array(
		"template"			=> "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$lang->online}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
		<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\">
<span class=\"smalltext\">
{\$lang->online_users}<br /><img src=\"images/Portal/nokta.png\"> {\$lang->online_counts}<br />{\$onlinemembers}
</span>
</td>
</tr>
<tr><td class=\"tcat\"><span class=\"smalltext\"><strong>Usergroups</strong></span></td></tr>
<tr>
<td class=\"trow1\"><span class=\"smalltext\">
<div class=\"smalltext\">
<div id=\"ddimagetabs\" class=\"halfmoon\">
<ul>
<li><a  onMouseover=\"expandcontent(\'sc1\', this)\"></a></li>
<li><a  onMouseover=\"expandcontent(\'sc2\', this)\"><img src=\"images/Portal/rutbeler/admin.png\"/></span></a></li>
<li><a  onMouseover=\"expandcontent(\'sc3\', this)\"><img src=\"images/Portal/rutbeler/co-admin.png\"/></a></li>
<li><a  onMouseover=\"expandcontent(\'sc4\', this)\"><img src=\"images/Portal/rutbeler/smod.png\"/></a></li>
<li><a  onMouseover=\"expandcontent(\'sc5\', this)\"><img src=\"images/Portal/rutbeler/mod.png\"/></a></li>
<li><a  onMouseover=\"expandcontent(\'sc6\', this)\"><img src=\"images/Portal/rutbeler/uye.png\"/></span></a></li>
<li><a  onMouseover=\"expandcontent(\'sc7\', this)\"><img src=\"images/Portal/rutbeler/yasakli-uye.png\"/></span></a></li>
</ul>
</div>
<div id=\"tabcontentcontainer\">
<div id=\"sc1\" class=\"tabcontent\">
<font color=\"#000000\" size=\"2\"><b>Usergroups</b></font>
</div>
<div id=\"sc2\" class=\"tabcontent\"> <font size=\"2\" color=\"#FF0000\"><b>Administrator</b></font></div>
<div id=\"sc3\" class=\"tabcontent\"> <font color=\"#800000\" size=\"2\"><b>Co Admin</b></font> </div>
<div id=\"sc4\" class=\"tabcontent\"> <font color=\"#0000FF\" size=\"2\"><b>Super Moderator</b></font> </div>
<div id=\"sc5\" class=\"tabcontent\"> <font color=\"#008000\" size=\"2\"><b>Moderator</b></font> </div>
<div id=\"sc6\" class=\"tabcontent\"> <font color=\"#000000\" size=\"2\"><b>Member</b></font> </div>
<div id=\"sc7\" class=\"tabcontent\"> <font size=\"2\"><b><strike>Banned</strike></b></font> </div>
</div>
</span>
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br />",
	);	
	$portal_search = array(
		"template"			=> "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\"></td>
<td class=\"thead\"><strong>{\$lang->search_forums}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\"></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" align=\"center\">
<form method=\"post\" action=\"{\$mybb->settings[\'bburl\']}/search.php\">
<input type=\"hidden\" name=\"action\" value=\"do_search\" />
<input type=\"hidden\" name=\"postthread\" value=\"1\" />
<input type=\"hidden\" name=\"forums\" value=\"all\" />
<input type=\"hidden\" name=\"showresults\" value=\"threads\" />
<input type=\"text\" class=\"textbox\" name=\"keywords\" value=\"\" />
{\$gobutton}
</form><br />
<span class=\"smalltext\">
(<a href=\"{\$mybb->settings[\'bburl\']}/search.php\">{\$lang->advanced_search}</a>)
</span>
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div>
<br>",
	);
	$portal_welcome = array(
		"template"			=> "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sol.png\" /></td>
<td class=\"thead\"><strong>{\$lang->welcome}</strong></td>
<td width=\"1\"><img src=\"images/Portal/renkler/{\$mybb->settings[\'renk\']}/{\$mybb->settings[\'renk\']}sag.png\" /></td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"trow1\">
{\$welcometext}
</td>
</tr>
</table><div class=\"golgeorta\"><div class=\"golgesol\"></div><div class=\"golgesag\"></div></div><br />",
	);
	
	$db->update_query("templates", $portal, "title='portal'");
	$db->update_query("templates", $portal_announcement, "title='portal_announcement'");
	$db->update_query("templates", $portal_latestthreads, "title='portal_latestthreads'");
	$db->update_query("templates", $portal_latestthreads_thread, "title='portal_latestthreads_thread'");
	$db->update_query("templates", $portal_whosonline_memberbit, "title='portal_whosonline_memberbit'");
	$db->update_query("templates", $portal_stats, "title='portal_stats'");
	$db->update_query("templates", $portal_welcome_membertext, "title='portal_welcome_membertext'");
    $db->update_query("templates", $portal_pms, "title='portal_pms'");
	$db->update_query("templates", $portal_whosonline, "title='portal_whosonline'");
	$db->update_query("templates", $portal_search, "title='portal_search'");	
	$db->update_query("templates", $portal_welcome, "title='portal_welcome'");
	$db->query("UPDATE ".TABLE_PREFIX."forums SET disporder='1' WHERE parentlist NOT LIKE '_' AND parentlist NOT LIKE '__' AND parentlist NOT LIKE '___' AND parentlist LIKE '%,%,%'");
	$cache->update_forums();

	
}

function advportalv7_deactivate()
{

	global $db;
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	

	$portal = array(
		"template"			=> "<html>
<head>
<title>{\$mybb->settings[\'bbname\']}</title>
{\$headerinclude}
</head>
<body>
{\$header}
<table width=\"100%\" cellspacing=\"0\" cellpadding=\"{\$theme[\'tablespace\']}\" border=\"0\" align=\"center\">
<tr><td valign=\"top\" width=\"200\">
{\$welcome}
{\$pms}
{\$search}
{\$stats}
{\$whosonline}
{\$latestthreads}
</td>
<td>&nbsp;</td>
<td valign=\"top\">
{\$announcements}
</td>
</tr>
</table>
{\$footer}
</body>
</html>",
	);
	$portal_announcement = array(
		"template"			=> "<table cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"thead\"><strong>{\$icon} <a href=\"{\$mybb->settings[\'bburl\']}/showthread.php?tid={\$announcement[\'tid\']}\">{\$announcement[\'subject\']}</a></strong></td>
</tr>
<tr>
<td class=\"trow2\" align=\"right\">
<span class=\"smalltext\">{\$lang->posted_by} <a href=\"{\$mybb->settings[\'bburl\']}/member.php?action=profile&amp;uid={\$announcement[\'uid\']}\">{\$announcement[\'username\']}</a>  - {\$anndate} {\$anntime} {\$numcomments}</span>
</td>
</tr>
<tr>
<td class=\"trow1\">
<table border=\"0\" cellpadding=\"{\$theme[\'tablespace\']}\" width=\"100%\"><tr>{\$avatar}<td class=\"trow1\"><p>{\$message}</p>{\$post[\'attachments\']}</td></tr>
<tr><td align=\"right\" colspan=\"2\" valign=\"bottom\"><span class=\"smalltext\"><a href=\"{\$mybb->settings[\'bburl\']}/printthread.php?tid={\$announcement[\'tid\']}\"><img src=\"{\$mybb->settings[\'bburl\']}/{\$theme[\'imgdir\']}/printable.gif\" alt=\"\" /></a>&nbsp;<a href=\"{\$mybb->settings[\'bburl\']}/sendthread.php?tid={\$announcement[\'tid\']}\"><img src=\"{\$mybb->settings[\'bburl\']}/{\$theme[\'imgdir\']}/send.gif\" alt=\"\" /></a></span></td></tr>
</table>
</td>
</tr>
</table>
<br />",
	);
	$portal_latestthreads = array(
		"template"			=> "<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"thead\"><strong>{\$lang->latest_threads}</strong></td>
</tr>
{\$threadlist}
</table>
<br />",
	);
	$portal_latestthreads_thread = array(
		"template"			=> "<tr>
<td class=\"{\$altbg}\">
<strong><a href=\"{\$mybb->settings[\'bburl\']}/showthread.php?tid={\$thread[\'tid\']}\">{\$thread[\'subject\']}</a></strong>
<span class=\"smalltext\"><br />
<em>{\$lang->latest_threads_lastpost}</em> {\$lastposterlink}<br />
{\$lastpostdate} {\$lastposttime}<br />
<strong>&raquo; </strong>{\$lang->latest_threads_replies} {\$thread[\'replies\']}<br />
<strong>&raquo; </strong>{\$lang->latest_threads_views} {\$thread[\'views\']}
</span>
</td>
</tr>",
	);
	$portal_whosonline_memberbit = array(
		"template"			=> "{\$comma}<a href=\"{\$mybb->settings[\'bburl\']}/{\$user[\'profilelink\']}\">{\$user[\'username\']}</a>{\$invisiblemark}",
	);
	$portal_stats = array(
		"template"			=> "<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"thead\"><strong>{\$lang->forum_stats}</strong></td>
</tr>
<tr>
<td class=\"trow1\">
<span class=\"smalltext\">
<strong>&raquo; </strong>{\$lang->num_members} {\$stats[\'numusers\']}<br />
<strong>&raquo; </strong>{\$lang->latest_member} {\$newestmember}<br />
<strong>&raquo; </strong>{\$lang->num_threads} {\$stats[\'numthreads\']}<br />
<strong>&raquo; </strong>{\$lang->num_posts} {\$stats[\'numposts\']}
<br /><br /><a href=\"{\$mybb->settings[\'bburl\']}/stats.php\">{\$lang->full_stats}</a>
</span>
</td>
</tr>
</table>
<br />",
	);
	$portal_welcome_membertext = array(
		"template"			=> "<span class=\"smalltext\"><em>{\$lang->member_welcome_lastvisit}</em> {\$lastvisit}<br />
{\$lang->since_then}<br />
<strong>&raquo;</strong> {\$lang->new_announcements}<br />
<strong>&raquo;</strong> {\$lang->new_threads}<br />
<strong>&raquo;</strong> {\$lang->new_posts}<br /><br />
<a href=\"{\$mybb->settings[\'bburl\']}/search.php?action=getnew\">{\$lang->view_new}</a><br /><a href=\"{\$mybb->settings[\'bburl\']}/search.php?action=getdaily\">{\$lang->view_todays}</a>
</span>",
	);
	$portal_pms = array(
		"template"			=> "<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"thead\"><strong><a href=\"{\$mybb->settings[\'bburl\']}/private.php\">{\$lang->private_messages}</a></strong></td>
</tr>
<tr>
<td class=\"trow1\">
<span class=\"smalltext\">{\$lang->pms_received_new}<br /><br />
<strong>&raquo;</strong> <strong>{\$messages[\'pms_unread\']}</strong> {\$lang->pms_unread}<br />
<strong>&raquo;</strong> <strong>{\$messages[\'pms_total\']}</strong> {\$lang->pms_total}</span>
</td>
</tr>
</table>
<br />",
	);	
	$portal_whosonline = array(
		"template"			=> "<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"thead\"><strong>{\$lang->online}</strong></td>
</tr>
<tr>
<td class=\"trow1\">
<span class=\"smalltext\">
{\$lang->online_users}<br /><strong>&raquo;</strong> {\$lang->online_counts}<br />{\$onlinemembers}
</span>
</td>
</tr>
</table>
<br />",
	);	
    $portal_search = array(
		"template"			=> "<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"thead\"><strong>{\$lang->search_forums}</strong></td>
</tr>
<tr>
<td class=\"trow1\" align=\"center\">
<form method=\"post\" action=\"{\$mybb->settings[\'bburl\']}/search.php\">
<input type=\"hidden\" name=\"action\" value=\"do_search\" />
<input type=\"hidden\" name=\"postthread\" value=\"1\" />
<input type=\"hidden\" name=\"forums\" value=\"all\" />
<input type=\"hidden\" name=\"showresults\" value=\"threads\" />
<input type=\"text\" class=\"textbox\" name=\"keywords\" value=\"\" />
{\$gobutton}
</form><br />
<span class=\"smalltext\">
(<a href=\"{\$mybb->settings[\'bburl\']}/search.php\">{\$lang->advanced_search}</a>)
</span>
</td>
</tr>
</table>
<br />",
	);	
	$portal_welcome = array(
		"template"			=> "<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\">
<tr>
<td class=\"thead\"><strong>{\$lang->welcome}</strong></td>
</tr>
<tr>
<td class=\"trow1\">
{\$welcometext}
</td>
</tr>
</table><br />",
	);
	
	$db->update_query("templates", $portal, "title='portal'");
	$db->update_query("templates", $portal_announcement, "title='portal_announcement'");
	$db->update_query("templates", $portal_latestthreads, "title='portal_latestthreads'");
	$db->update_query("templates", $portal_latestthreads_thread, "title='portal_latestthreads_thread'");
	$db->update_query("templates", $portal_whosonline_memberbit, "title='portal_whosonline_memberbit'");
	$db->update_query("templates", $portal_stats, "title='portal_stats'");
	$db->update_query("templates", $portal_welcome_membertext, "title='portal_welcome_membertext'");
	$db->update_query("templates", $portal_pms, "title='portal_pms'");
	$db->update_query("templates", $portal_whosonline, "title='portal_whosonline'");
	$db->update_query("templates", $portal_search, "title='portal_search'");
	$db->update_query("templates", $portal_welcome, "title='portal_welcome'");
}

function advportalv7_indexrun()
{
	global $mybb;
	if ((!isset($_COOKIE['viewedportal']) && !isset($mybb->input['noredirect'])) || isset($mybb->input['forceredirect'])) {
		header('Location: '.$mybb->settings['advportalv7_url']);
		exit;
	}
}

function advportalv7_portalrun()
{
	global $mybb;
	
	my_setcookie('viewedportal', true, $mybb->settings['advportalv7_gecensure']*60);
}
function advportalv7()
{
	global $mybb, $db, $templates, $theme, $lang, $pollbox;
	
	/*$db->query("UPDATE ".TABLE_PREFIX."forums SET disporder='1' WHERE parentlist NOT LIKE '_' AND parentlist NOT LIKE '%,_'  AND parentlist NOT LIKE '__' AND parentlist NOT LIKE '___' ");
	$cache->update_forums();
	anket oluturma blmson */
	$current_page = my_strtolower(basename(THIS_SCRIPT));
        if ($current_page == 'index.php' && $mybb->settings['advportalv7'] == '1'|| $current_page == 'portal.php'&& $mybb->settings['portalda_anket'] == '1' )
        {

        $lang->load("showthread");
        $parser = new postParser;


		$options = array(
			"limit" => 1
		);

    $query = $db->simple_select("polls", "*", "pid='".$mybb->settings['gosterilcek_anket']."'", $options);
	$poll = $db->fetch_array($query);
     if ($poll != '')
       {
		$poll['timeout'] = $poll['timeout']*60*60*24;
		$expiretime = $poll['dateline'] + $poll['timeout'];
		$now = TIME_NOW;

		// If the poll or the thread is closed or if the poll is expired, show the results.
		if($poll['closed'] == 1 || $thread['closed'] == 1 || ($expiretime < $now && $poll['timeout'] > 0))
		{
			$showresults = 1;
		}

		// If the user is not a guest, check if he already voted.
		if($mybb->user['uid'] != 0)
		{
			$query = $db->simple_select("pollvotes", "*", "uid='".$mybb->user['uid']."' AND pid='".$poll['pid']."'");
			while($votecheck = $db->fetch_array($query))
			{
				$alreadyvoted = 1;
				$votedfor[$votecheck['voteoption']] = 1;
			}
		}
		else
		{
			if($mybb->cookies['pollvotes'][$poll['pid']])
			{
				$alreadyvoted = 1;
			}
		}
		$optionsarray = explode("||~|~||", $poll['options']);
		$votesarray = explode("||~|~||", $poll['votes']);
		$poll['question'] = htmlspecialchars_uni($poll['question']);
		$polloptions = '';
		$totalvotes = 0;

		for($i = 1; $i <= $poll['numoptions']; ++$i)
		{
			$poll['totvotes'] = $poll['totvotes'] + $votesarray[$i-1];
		}

	    //Loop through the poll options.
		for($i = 1; $i <= $poll['numoptions']; ++$i)
		{
			// Set up the parser options.
			$parser_options = array(
				"allow_html" => $forum['allowhtml'],
				"allow_mycode" => $forum['allowmycode'],
				"allow_smilies" => $forum['allowsmilies'],
				"allow_imgcode" => $forum['allowimgcode'],
				"filter_badwords" => 1
			);

			$option = $parser->parse_message($optionsarray[$i-1], $parser_options);
			$votes = $votesarray[$i-1];
			$totalvotes += $votes;
			$number = $i;

			// Mark the option the user voted for.
			if($votedfor[$number])
			{
				$optionbg = "trow2";
				$votestar = "*";
			}
			else
			{
				$optionbg = "trow1";
				$votestar = "";
			}

            	// If the user already voted or if the results need to be shown, do so; else show voting screen.
			if($alreadyvoted || $showresults)
			{
				if(intval($votes) == "0")
				{
					$percent = "0";
				}
				else
				{
					$percent = number_format($votes / $poll['totvotes'] * 100, 2);
				}
				$imagewidth = round(($percent/3) * 5);
				$imagerowwidth = $imagewidth + 10;
				eval("\$polloptions .= \"".$templates->get("showthread_poll_resultbit")."\";");
			}
			else
			{
				if($poll['multiple'] == 1)
				{
					eval("\$polloptions .= \"".$templates->get("showthread_poll_option_multiple")."\";");
				}
				else
				{
					eval("\$polloptions .= \"".$templates->get("showthread_poll_option")."\";");
				}
			}
		}

		// If there are any votes at all, all votes together will be 100%; if there are no votes, all votes together will be 0%.
		if($poll['totvotes'])
		{
			$totpercent = "100%";
		}
		else
		{
			$totpercent = "0%";
		}

		// Check if user is allowed to edit posts; if so, show "edit poll" link.
		if(!is_moderator($fid, 'caneditposts'))
		{
			$edit_poll = '';
		}
		else
		{
			$edit_poll = "| <a href=\"polls.php?action=editpoll&amp;pid={$poll['pid']}\">{$lang->edit_poll}</a>";
		}

		// Decide what poll status to show depending on the status of the poll and whether or not the user voted already.
		if($alreadyvoted || $showresults)
		{
			if($alreadyvoted)
			{
				$pollstatus = $lang->already_voted;
			}
			else
			{
				$pollstatus = $lang->poll_closed;
			}
			$lang->total_votes = $lang->sprintf($lang->total_votes, $totalvotes);
			eval("\$pollbox = \"".$templates->get("showthread_poll_results")."\";");

		}
		else
		{
			$publicnote = '&nbsp;';
			if($poll['public'] == 1)
			{
				$publicnote = $lang->public_note;
			}
			eval("\$pollbox = \"".$templates->get("showthread_poll")."\";");

		}

        }

      }/*anket oluturma blm sonu */
	
	
}
function advportalv7_uninstall()
{
	global $db;
	
	if($db->field_exists("advportalv7", "settings"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."settings DROP advportalv7"); 
	}
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='portalayar'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='renk'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='description'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='keywords'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='duyuru'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='bosmenu'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='soltabloadi'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='solblok'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ortatabloadi'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ortablok'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='sagtabloadi'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='sagblok'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='destekblok'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='toplist'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='gosterilcek_anket'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='portalda_anket'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='advportalv7_url'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='advportalv7_gecensure'");
	
	rebuild_settings();
}
/*
	// Does this thread have a poll?
	if($thread['poll'])
	{
		$options = array(
			"limit" => 1
		);
		$query = $db->simple_select("polls", "*", "pid='".$thread['poll']."'", $options);
		$poll = $db->fetch_array($query);
		$poll['timeout'] = $poll['timeout']*60*60*24;
		$expiretime = $poll['dateline'] + $poll['timeout'];
		$now = TIME_NOW;

		// If the poll or the thread is closed or if the poll is expired, show the results.
		if($poll['closed'] == 1 || $thread['closed'] == 1 || ($expiretime < $now && $poll['timeout'] > 0))
		{
			$showresults = 1;
		}

		// If the user is not a guest, check if he already voted.
		if($mybb->user['uid'] != 0)
		{
			$query = $db->simple_select("pollvotes", "*", "uid='".$mybb->user['uid']."' AND pid='".$poll['pid']."'");
			while($votecheck = $db->fetch_array($query))
			{	
				$alreadyvoted = 1;
				$votedfor[$votecheck['voteoption']] = 1;
			}
		}
		else
		{
			if($mybb->cookies['pollvotes'][$poll['pid']])
			{
				$alreadyvoted = 1;
			}
		}
		$optionsarray = explode("||~|~||", $poll['options']);
		$votesarray = explode("||~|~||", $poll['votes']);
		$poll['question'] = htmlspecialchars_uni($poll['question']);
		$polloptions = '';
		$totalvotes = 0;

		for($i = 1; $i <= $poll['numoptions']; ++$i)
		{
			$poll['totvotes'] = $poll['totvotes'] + $votesarray[$i-1];
		}

		// Loop through the poll options.
		for($i = 1; $i <= $poll['numoptions']; ++$i)
		{
			// Set up the parser options.
			$parser_options = array(
				"allow_html" => $forum['allowhtml'],
				"allow_mycode" => $forum['allowmycode'],
				"allow_smilies" => $forum['allowsmilies'],
				"allow_imgcode" => $forum['allowimgcode'],
				"filter_badwords" => 1
			);

			$option = $parser->parse_message($optionsarray[$i-1], $parser_options);
			$votes = $votesarray[$i-1];
			$totalvotes += $votes;
			$number = $i;

			// Mark the option the user voted for.
			if($votedfor[$number])
			{
				$optionbg = "trow2";
				$votestar = "*";
			}
			else
			{
				$optionbg = "trow1";
				$votestar = "";
			}

			// If the user already voted or if the results need to be shown, do so; else show voting screen.
			if($alreadyvoted || $showresults)
			{
				if(intval($votes) == "0")
				{
					$percent = "0";
				}
				else
				{
					$percent = number_format($votes / $poll['totvotes'] * 100, 2);
				}
				$imagewidth = round(($percent/3) * 5);
				$imagerowwidth = $imagewidth + 10;
				eval("\$polloptions .= \"".$templates->get("showthread_poll_resultbit")."\";");
			}
			else
			{
				if($poll['multiple'] == 1)
				{
					eval("\$polloptions .= \"".$templates->get("showthread_poll_option_multiple")."\";");
				}
				else
				{
					eval("\$polloptions .= \"".$templates->get("showthread_poll_option")."\";");
				}
			}
		}

		// If there are any votes at all, all votes together will be 100%; if there are no votes, all votes together will be 0%.
		if($poll['totvotes'])
		{
			$totpercent = "100%";
		}
		else
		{
			$totpercent = "0%";
		}

		// Check if user is allowed to edit posts; if so, show "edit poll" link.
		if(!is_moderator($fid, 'caneditposts'))
		{
			$edit_poll = '';
		}
		else
		{
			$edit_poll = " | <a href=\"polls.php?action=editpoll&amp;pid={$poll['pid']}\">{$lang->edit_poll}</a>";
		}

		// Decide what poll status to show depending on the status of the poll and whether or not the user voted already.
		if($alreadyvoted || $showresults)
		{
			if($alreadyvoted)
			{
				$pollstatus = $lang->already_voted;
			}
			else
			{
				$pollstatus = $lang->poll_closed;
			}
			$lang->total_votes = $lang->sprintf($lang->total_votes, $totalvotes);
			eval("\$pollbox = \"".$templates->get("showthread_poll_results")."\";");
			$plugins->run_hooks("showthread_poll_results");
		}
		else
		{
			$publicnote = '&nbsp;';
			if($poll['public'] == 1)
			{
				$publicnote = $lang->public_note;
			}
			eval("\$pollbox = \"".$templates->get("showthread_poll")."\";");
			$plugins->run_hooks("showthread_poll");
		}

	}
	else
	{
		$pollbox = "";
	}
	*/

?>
